#
# spec file for package perl-XML-SAX-Writer
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-SAX-Writer
Version:        0.57
Release:        1.37
%define cpan_name XML-SAX-Writer
Summary:        SAX2 XML Writer
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XML-SAX-Writer/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERIGRIN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(XML::Filter::BufferText) >= 1.00
BuildRequires:  perl(XML::NamespaceSupport) >= 1.00
BuildRequires:  perl(XML::SAX::Exception) >= 1.01
Requires:       perl(XML::Filter::BufferText) >= 1.00
Requires:       perl(XML::NamespaceSupport) >= 1.00
Requires:       perl(XML::SAX::Exception) >= 1.01
%{perl_requires}

%description
SAX2 XML Writer

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.md
%license LICENSE

%changelog
* Tue Jul 25 2017 coolo@suse.com
- updated to 0.57
  see /usr/share/doc/packages/perl-XML-SAX-Writer/Changes
* Sun Apr 19 2015 coolo@suse.com
- updated to 0.56
  see /usr/share/doc/packages/perl-XML-SAX-Writer/Changes
* Mon Feb 24 2014 coolo@suse.com
- updated to 0.54
  - remove /o modifier on Regexps (RT#91382)
  - Update to Dist::Zilla for releasing
  - Clean up POD issues
  - Simplify Makefile.PL
  - Add cpanfile
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 13 2010 chris@computersalat.de
- update to 0.53
  - Switch from Text::IconV to Encode (David Pinkowitz)
  - Update package Module::Install metadata discovery
- recreated by cpanspec 1.78
- noarch pkg
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Tue Jul 14 2009 chris@computersalat.de
- initial pkg 0.52
